Edje Text Entry
Edje » Edje Object » Edje Part » Edje Text Part

Functions that deal with text entries. More...

## Data Structures

struct | _Edje_Entry_Change_Info

## Typedefs

typedef struct _Edje_Entry_Change_Info | Edje_Entry_Change_Info
typedef enum _Edje_Text_Filter_Type | Edje_Text_Filter_Type
| All Edje text filters type values.
typedef void(* | Edje_Text_Filter_Cb) (void *data, Evas_Object *obj, const char *part, Edje_Text_Filter_Type type, char **text)
| Callback prototype for Edje_Text_Filter.
typedef void(* | Edje_Markup_Filter_Cb) (void *data, Evas_Object *obj, const char *part, char **text)
| Callback prototype for Edje_Text_Filter.
typedef Evas_Object *(* | Edje_Item_Provider_Cb) (void *data, Evas_Object *obj, const char *part, const char *item)
| Callback prototype for Edje_Item_Provider.

## Enumerations

enum | _Edje_Text_Filter_Type { EDJE_TEXT_FILTER_TEXT = 0 , EDJE_TEXT_FILTER_FORMAT = 1 , EDJE_TEXT_FILTER_MARKUP = 2 }
enum | { EDJE_INPUT_PANEL_LAYOUT_NORMAL_VARIATION_NORMAL , EDJE_INPUT_PANEL_LAYOUT_NORMAL_VARIATION_FILENAME , EDJE_INPUT_PANEL_LAYOUT_NORMAL_VARIATION_PERSON_NAME }
enum | { EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_NORMAL , EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_SIGNED , EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_DECIMAL , EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_SIGNED_AND_DECIMAL }
enum | { EDJE_INPUT_PANEL_LAYOUT_PASSWORD_VARIATION_NORMAL , EDJE_INPUT_PANEL_LAYOUT_PASSWORD_VARIATION_NUMBERONLY }

## Functions

void | edje_password_show_last_set (Eina_Bool password_show_last)
| Shows last character in password mode.
void | edje_password_show_last_timeout_set (double password_show_last_timeout)
| Sets the timeout value in last show password mode.

## Detailed Description

Functions that deal with text entries.

In Edje it's possible to use a text part as a entry so the user is able to make inputs of text. To do so, the text part must be set with a input panel that will work as a virtual keyboard.

Some of effects can be applied to the entered text and also plenty actions can be performed after any input.

Use the functions of this section to handle the user input of text.

## Typedef Documentation

## Edje_Entry_Change_Info

typedef struct _Edje_Entry_Change_Info Edje_Entry_Change_Info

Since
  1.1.0

## Edje_Text_Filter_Cb

typedef void(* Edje_Text_Filter_Cb) (void *data, Evas_Object *obj, const char *part, Edje_Text_Filter_Type type, char **text)

Callback prototype for Edje_Text_Filter.

Parameters

  obj | The Evas_Object to filter.
  type | The filter type.
  text | The text of the filter.

## Edje_Markup_Filter_Cb

typedef void(* Edje_Markup_Filter_Cb) (void *data, Evas_Object *obj, const char *part, char **text)

Callback prototype for Edje_Text_Filter.

Parameters

  obj | The Evas_Object to filter.
  part | Edje part name.
  text | The text of the filter.

## Edje_Item_Provider_Cb

typedef Evas_Object *(* Edje_Item_Provider_Cb) (void *data, Evas_Object *obj, const char *part, const char *item)

Callback prototype for Edje_Item_Provider.

Parameters

  data | some data provided by user
  obj | The Evas_Object to filter.
  part | Edje part name
  item | Item of container

Returns
  Must be an Evas_Object.

## Enumeration Type Documentation

## _Edje_Text_Filter_Type

enum _Edje_Text_Filter_Type

Enumerator
EDJE_TEXT_FILTER_TEXT | Text type filter.
EDJE_TEXT_FILTER_FORMAT | Format type filter.
EDJE_TEXT_FILTER_MARKUP | Markup type filter.

## anonymous enum

anonymous enum

Enumerator

EDJE_INPUT_PANEL_LAYOUT_NORMAL_VARIATION_NORMAL

The plain normal layout.

Since
  1.12

EDJE_INPUT_PANEL_LAYOUT_NORMAL_VARIATION_FILENAME

Filename layout.

Symbols such as '/' should be disabled.

Since
  1.12

EDJE_INPUT_PANEL_LAYOUT_NORMAL_VARIATION_PERSON_NAME

The name of a person.

Since
  1.12

## anonymous enum

anonymous enum

Enumerator

EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_NORMAL

The plain normal number layout.

Since
  1.8

EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_SIGNED

The number layout to allow a positive or negative sign at the start.

Since
  1.8

EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_DECIMAL

The number layout to allow decimal point to provide fractional value.

Since
  1.8

EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_SIGNED_AND_DECIMAL

The number layout to allow decimal point and negative sign.

Since
  1.8

## anonymous enum

anonymous enum

Enumerator

EDJE_INPUT_PANEL_LAYOUT_PASSWORD_VARIATION_NORMAL

The normal password layout.

Since
  1.12

EDJE_INPUT_PANEL_LAYOUT_PASSWORD_VARIATION_NUMBERONLY

The password layout to allow only number.

Since
  1.12

## Function Documentation

## edje_password_show_last_set()

void edje_password_show_last_set | ( | Eina_Bool | password_show_last | ) |

Shows last character in password mode.

Parameters

  password_show_last | If TRUE enable last character show in password mode.

This function enables last input to be visible when in password mode for few seconds or until the next input is entered.

The time out value is obtained by edje_password_show_last_timeout_set function.

See also
  edje_password_show_last_timeout_set().

Referenced by elm_config_password_show_last_set().

## edje_password_show_last_timeout_set()

void edje_password_show_last_timeout_set | ( | double | password_show_last_timeout | ) |

Sets the timeout value in last show password mode.

Parameters

  password_show_last_timeout | The timeout value.

This functions sets the time out value for which the last input entered in password mode will be visible. If the time out value is less than zero, the last input entered in password mode will be always visible.

This value can be used only when last show mode is set in password mode.

See also
  edje_password_show_last_set().

References EINA_DBL_EQ.

Referenced by elm_config_password_show_last_timeout_set().